
package de.ivu.elect.business.system.control;

import de.ivu.elect.business.konfiguration.control.AbstractKonfigurationInit;
import de.ivu.elect.business.konfiguration.entity.ElectKonfigurationWerte;
import de.ivu.elect.business.konfiguration.entity.Konfiguration;
import de.ivu.elect.business.konfiguration.entity.KonfigurationInitContext;

import java.util.Collection;

import static java.util.Arrays.asList;

public class DashboardKonfigurationInit extends AbstractKonfigurationInit {

  public DashboardKonfigurationInit() {
    super();
  }

  @Override
  protected Collection<Konfiguration> createDefaultParameters(KonfigurationInitContext konfigurationInitContext) {
    return asList( //
        create(ElectKonfigurationWerte.DASHBOARD_NEWS_HEADER, getDashboardMewsHeaderDefault()),
        create(ElectKonfigurationWerte.DASHBOARD_NEWS_MESSAGE_SNIPPET, getDashboardMewsMessageDefault()),
        create(ElectKonfigurationWerte.DASHBOARD_NEWS_IFRAME_HOST, getDashboardMewsIframeHostDefault())
    );
  }

  protected String getDashboardMewsIframeHostDefault() {
    return "";
  }

  protected String getDashboardMewsMessageDefault() {
    return "";
  }

  protected String getDashboardMewsHeaderDefault() {
    return "";
  }

}
